DXDoubleSpeed
Date: 2016-04-25

convertDXSingleDoubleSpeed

## Class DXDoubleSpeed

- java.lang.Object
- - convertDXSingleDoubleSpeed.DXDoubleSpeed

-     public class DXDoubleSpeed
      extends java.lang.Object

  This class represents a cooling coil from type "DXDoubleSpeed".

  ### License agreement

  The use of this program is subjected to the following license terms.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DXDoubleSpeed()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<ICurve>` | `getCurves()` This method gets the curves describing the cooling coil.
    `java.lang.String` | `getName()` This method gets the name of the cooling coil.
    `java.lang.String` | `getStringDefinitionOfDXDoubleSpeedObject()` This method gets the comments definition of the cooling coil.
    `void` | `setCurves(java.util.ArrayList<ICurve> curves)` This method sets the curves describing the cooling coil.
    `void` | `setFoundDXCoilPerformances(java.util.ArrayList<DXCoilPerformance> tmpDXCoilPerformances)` This method sets the found dx coils performance in an array.
    `void` | `setName(java.lang.String name)` This method sets the name of the cooling coil.
    `void` | `setStringDefinitionOfDXDoubleSpeedObject(java.lang.String stringDefinitionOfDXDoubleSpeedObject)` This method sets the comments definition of the cooling coil.
    `java.lang.String` | `toMoRecordString()` This method is used to convert single speed dx coils data into a String.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DXDoubleSpeed

          public DXDoubleSpeed()

  - ### Method Detail

    - #### setFoundDXCoilPerformances

          public void setFoundDXCoilPerformances(java.util.ArrayList<DXCoilPerformance> tmpDXCoilPerformances)

      This method sets the found dx coils performance in an array.
      Parameters:
        `tmpDXCoilPerformances` - array list of DXCoilPerformances.

    - #### toMoRecordString

          public java.lang.String toMoRecordString()

      This method is used to convert single speed dx coils data into a String.
      Returns:
        the converted cooling coil data as a string.

    - #### getName

          public java.lang.String getName()

      This method gets the name of the cooling coil.

    - #### setName

          public void setName(java.lang.String name)

      This method sets the name of the cooling coil.

    - #### getCurves

          public java.util.ArrayList<ICurve> getCurves()

      This method gets the curves describing the cooling coil.

    - #### setCurves

          public void setCurves(java.util.ArrayList<ICurve> curves)

      This method sets the curves describing the cooling coil.

    - #### getStringDefinitionOfDXDoubleSpeedObject

          public java.lang.String getStringDefinitionOfDXDoubleSpeedObject()

      This method gets the comments definition of the cooling coil.

    - #### setStringDefinitionOfDXDoubleSpeedObject

          public void setStringDefinitionOfDXDoubleSpeedObject(java.lang.String stringDefinitionOfDXDoubleSpeedObject)

      This method sets the comments definition of the cooling coil.